Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Class LocalComponentSession.LocalExternalComponent

    java.lang.Object
      org.jivesoftware.openfire.session.LocalComponentSession.LocalExternalComponent

All Implemented Interfaces:
  ComponentSession.ExternalComponent, org.xmpp.component.Component

Enclosing class:
  LocalComponentSession

    public static class LocalComponentSession.LocalExternalComponent

extends Object
implements ComponentSession.ExternalComponent

The ExternalComponent acts as a proxy of the remote connected component. Any Packet that is sent to this component will be delivered to the real component on the other side of the connection.

An ExternalComponent will be added as a route in the RoutingTable for each connected external component. This implies that when the server receives a packet whose domain matches the external component services address then a route to the external component will be used and the packet will be forwarded to the component on the other side of the connection.

Author:
  Gaston Dombiak

Constructor Summary
`LocalComponentSession.LocalExternalComponent(LocalComponentSession session, Connection connection)`

Method Summary
`String` | `getCategory()`
`String` | `getDescription()`
`String` | `getInitialSubdomain()`
`String` | `getName()`
`Collection<String>` | `getSubdomains()`
`String` | `getType()`
`void` | `initialize(org.xmpp.packet.JID jid, org.xmpp.component.ComponentManager componentManager)`
`void` | `processPacket(org.xmpp.packet.Packet packet)`
`void` | `setCategory(String category)`
`void` | `setName(String name)`
`void` | `setType(String type)`
`void` | `shutdown()`
`void` | `start()`
`String` | `toString()`
`void` | `track(org.xmpp.packet.IQ iq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalComponentSession.LocalExternalComponent

    public LocalComponentSession.LocalExternalComponent(LocalComponentSession session,
                                                        Connection connection)

Method Detail

### processPacket

    public void processPacket(org.xmpp.packet.Packet packet)

  Specified by:
    `processPacket` in interface `org.xmpp.component.Component`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.xmpp.component.Component`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `org.xmpp.component.Component`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `ComponentSession.ExternalComponent`

### getType

    public String getType()

  Specified by:
    `getType` in interface `ComponentSession.ExternalComponent`

### setType

    public void setType(String type)

  Specified by:
    `setType` in interface `ComponentSession.ExternalComponent`

### getCategory

    public String getCategory()

  Specified by:
    `getCategory` in interface `ComponentSession.ExternalComponent`

### setCategory

    public void setCategory(String category)

  Specified by:
    `setCategory` in interface `ComponentSession.ExternalComponent`

### getInitialSubdomain

    public String getInitialSubdomain()

  Specified by:
    `getInitialSubdomain` in interface `ComponentSession.ExternalComponent`

### getSubdomains

    public Collection<String> getSubdomains()

  Specified by:
    `getSubdomains` in interface `ComponentSession.ExternalComponent`

### initialize

    public void initialize(org.xmpp.packet.JID jid,
                           org.xmpp.component.ComponentManager componentManager)

  Specified by:
    `initialize` in interface `org.xmpp.component.Component`

### start

    public void start()

  Specified by:
    `start` in interface `org.xmpp.component.Component`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `org.xmpp.component.Component`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### track

    public void track(org.xmpp.packet.IQ iq)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.